# Delete module lifecycle rule

Delete the lifecycle rule and all overrides for a module; all versions revert to supported

Endpoint: DELETE /iacm/api/modules/{id}/lifecycle
Version: 1.0
Security: x-api-key

## Query parameters:

  - `scope_org` (string)
    Org scope of the module
    Example: "Vero voluptatum impedit aut vero excepturi sed."

  - `scope_project` (string)
    Project scope of the module
    Example: "Vel ut mollitia."

## Path parameters:

  - `id` (string, required)
    Module ID
    Example: "Itaque aliquid pariatur explicabo error."

## Header parameters:

  - `Harness-Account` (string, required)
    Account name
    Example: "Qui aperiam aut doloremque."

## Response 400 fields (application/vnd.goa.error):

  - `fault` (boolean, required)
    Is the error a server-side fault?
    Example: true

  - `id` (string, required)
    ID is a unique identifier for this particular occurrence of the problem.
    Example: "123abc"

  - `message` (string, required)
    Message is a human-readable explanation specific to this occurrence of the problem.
    Example: "parameter 'p' must be an integer"

  - `name` (string, required)
    Name is the name of this class of errors.
    Example: "bad_request"

  - `temporary` (boolean, required)
    Is the error temporary?
    Example: true

  - `timeout` (boolean, required)
    Is the error a timeout?


## Response 204 fields
